%define upstream_name	 POE-Component-Client-DNS
%define upstream_version 1.054

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    POE::Component::Client::DNS - non-blocking, concurrent DNS requests
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::DNS) >= 0.650.0
BuildRequires: perl(POE) >= 1.294.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings) >= 1.20.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Client::DNS provides a facility for non-blocking, concurrent
DNS requests. Using POE, it allows other tasks to run while waiting for name
servers to respond.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%_mandir/*/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.54.0-1.mga6
+ Revision: 903247
- new release

* Sun Oct 19 2014 umeabot <umeabot> 1.53.0-6.mga5
+ Revision: 788475
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.53.0-5.mga5
+ Revision: 745331
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.53.0-4.mga5
+ Revision: 733306
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.53.0-3.mga5
+ Revision: 685810
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.53.0-2.mga4
+ Revision: 527177
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.53.0-1.mga4
+ Revision: 439675
- update to 1.053

* Sun Jan 13 2013 umeabot <umeabot> 1.51.0-2.mga3
+ Revision: 371216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.51.0-1.mga1
+ Revision: 34071
- mageia rebuild
- imported package perl-POE-Component-Client-DNS

